Summary:	X Remote eXecution using WWW browser
Summary(pl.UTF-8):	X Remote eXecution - zdalne wywoływanie aplikacji przy użyciu przeglądarki WWW
Name:		xorg-app-xrx
Version:	1.0.4
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xrx-%{version}.tar.bz2
# Source0-md5:	c93be22d20658ac5ff60469207dec118
Patch0:		%{name}-ac.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The remote execution (RX) service specifies a MIME format for invoking
applications remotely, for example via a World Wide Web browser. This
RX format specifies a syntax for listing network services required by
the application, for example an X display server. The requesting Web
browser must identify specific instances of the services in the request
to invoke the application.

The distribution contains a helper program (xrx) and a Mozilla family
browser plug-in (libxrx) that demonstrate this protocol.

%description -l pl.UTF-8
Usługa RX (Remote eXecution) określa format MIME do zdalnego
wywoływania aplikacji, na przykład poprzez przeglądarkę WWW. Format RX
określa składnię definiowania usług sieciowych wymaganych przez
aplikację, na przykład serwera X. Przeglądarka wysyłająca żądania musi
podać w żądaniu określone instancje usługi w celu wywołania aplikacji.

Ten pakiet zawiera program pomocniczy (xrx) oraz wtyczkę przeglądarki
z rodziny Mozilli (libxrx) demonstrujące działanie tego protokołu.

%prep
%setup -q -n xrx-%{version}
%patch -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PLUGIN_CFLAGS="`pwd`/plugin/include" \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed for plugins
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxrx*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xrx
%attr(755,root,root) %{_libdir}/libxrx.so
%attr(755,root,root) %{_libdir}/libxrxnest.so
%{_mandir}/man1/libxrx.1*
%{_mandir}/man1/xrx.1*
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xrx.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> de26ea9
- fix files
- rel 2

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> ae8bd02
- updated to 1.0.4
- force using old internal npapi includes (doesn't build with current xulrunner files)

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 50ff57f
- removed obsolete sed hack

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> ba5c9f5
- updated util-macros version
- added ac patch

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> c859a84
- avoid undefined functions in configure

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6488bc2
- up to 1.0.3

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 718c7d0
- rel 3; no xaw xprint

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 23b91cd
- release 2

* Thu Jun 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ae32a7
- updated to 1.0.2
- added ac patch
- informative descs

* Thu Jun 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 7605d7b
- quoting fix

* Fri Nov 09 2007 witekfl <witekfl@pld-linux.org> f3479bf
- s|X11/Application|X11/Applications|

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0138966
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 951529d
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> a155e6b
- use individual dir, more verbose files, release 1

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> cc850db
- 1.0.1 (X11R7.0 release)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 280a80b
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> baba9ed
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 082f45b
- new

